Subject: Re: [v6ops] WGLC: draft-ietf-v6ops-nat64-deployment-04

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Tue, 16 Apr 2019 15:10:12 +0200

Hi Alejandro,

I've a draft v05 with the following changes to address this at section 3.1.2:

   The possible communication paths, among the IPv4/IPv6 stacks of both
   peers, in this case, are:

   a.  Local-IPv6 to Remote-IPv6: Regular DNS and native IPv6 among
       peers.

   b.  Local-IPv6 to Remote-IPv4: DNS64 and NAT64 translation.

   c.  Local-IPv4 to Remote-IPv6: Not possible unless the CLAT
       implements EAMT as indicated by Section 4.11.  In principle, it
       is not expected that services are deployed in Internet using
       IPv6-only, unless there is certainty that peers will also be
       IPv6-capable.

   d.  Local-IPv4 to Remote-IPv4: Regular DNS, CLAT and NAT64
       translations.

   e.  Local-IPv4 to Remote-dual-stack using EAMT optimization: If the
       CLAT implements EAMT as indicated by Section 4.11, instead of
       using the path d. above, NAT64 is avoided and the flow will use
       IPv6 from the CLAT to the destination.

The same text (c y e) apply to section 3.1.3.

Also, added a new paragraph at the end of 4.11.  EAMT Considerations

   Explicit Address Mappings for Stateless IP/ICMP Translation [RFC7757]
   provides a way to configure explicit mappings between IPv4 and IPv6
   prefixes of any length.  When this is used, for example in a CLAT, it
   may provide a simple mechanism in order to avoid traffic flows
   between IPv4-only nodes or applications and dual-stack destinations
   to be translated twice (NAT46 and NAT64), by creating mapping entries
   with the GUA of the IPv6-reachable destination.  This optimization of
   the NAT64 usage is very useful in many scenarios, including CDNs and
   caches, as described in [I-D.palet-v6ops-464xlat-opt-cdn-caches].

   In addition to that, it may provide as well a way for IPv4-only nodes
   or applications to communicate with IPv6-only destinations.

I will wait for further comments and I understand that even if the last call succedes, I can do those updates before a possible IETF LC.

Thanks!

Regards,
Jordi

El 16/4/19 14:24, "v6ops en nombre de Alejandro D'Egidio" <[email-masked] en nombre de adegidio=[email-masked]> escribió:

    Hello Jordi,
    Yes, I would like to see this document published.

    Regards,
    Alejandro

    ----- Mensaje original -----
    > De: "JORDI PALET MARTINEZ" <jordi.palet=[email-masked]>
    > Para: "Alejandro Degidio" <[email-masked]>, "Fred Baker" <[email-masked]>
    > CC: "[email-masked] list" <[email-masked]>
    > Enviados: Martes, 16 de Abril 2019 4:09:48
    > Asunto: Re: [v6ops] WGLC: draft-ietf-v6ops-nat64-deployment-04
    
    > Hi Alejandro,
    > 
    > Thanks for your support. I understand that you want to see this document
    > published, just to make it sure.
    > 
    > 
    > 
    > Regards,
    > Jordi
    > 
    > 
    > 
    >El 16/4/19 1:31, "v6ops en nombre de Alejandro D'Egidio" <[email-masked]
    >en nombre de adegidio=[email-masked]> escribió:
    > 
    >    Hello,
    >    >From my point of view, I think this document is really useful.
    >    In my case, I consider 464XLAT as a very good solution and in fact I already
    >    have a cablemodem with a FW with CLAT and it works perfectly!
    >    
    >    Regarding the content.
    >    
    >    In "possible communication paths" for both cases with and without DNS64, we have
    >    this option:
    >    "   c.  Local-IPv4 to Remote-IPv6: Not possible.  It is not expected that
    >           services are deployed in Internet using IPv6-only, unless there
    >           is certainty that peers will also be IPv6-capable.
    >    "
    >    
    >    If we consider EAMT (RFC7757) as we are suggesting in
    >    draft-palet-v6ops-464xlat-opt-cdn-caches-01 it could be possible.
    >    
    >    Maybe you can add some note that It is possible if we CPE supports EAMT allowing
    >    to connect IPv4-only devices/apps to IPv6 services.
    > 
    > In the last version, the only change is a section for EAMT. So, what I can do is
    > a call in "c" to that section.
    Yes, I think it's ok if you add a call in that point.

    > 
    > The reason for not having more explicit text about EAMT, is that this section is
    > talking about the "actual" 464XLAT (RFC6877) support. So, rewording it for a
    > "future possible update of 464XLAT that include a MUST for EAMT support", will
    > not be acceptable.
    > 
    >    
    >    
    >    Regards,
    >    Alejandro
    >    
    >    ----- Mensaje original -----
    >    De: "Fred Baker" <[email-masked]>
    >    Para: "[email-masked] list" <[email-masked]>
    >    Enviados: Martes, 9 de Abril 2019 21:37:26
    >    Asunto: Re: [v6ops] WGLC: draft-ietf-v6ops-nat64-deployment-04
    >    
    >    For the record, the question here is two-fold. First, is it correct and
    >    complete? Is there more, or less, that should be said? Second, are there
    >    operators -ISPs, IxPs, enterprise, or whatever, that consider this useful in
    >    their deployments?
    >    
    >    > On Apr 8, 2019, at 9:02 AM, JORDI PALET MARTINEZ
    >    > <jordi.palet=[email-masked]> wrote:
    >    > 
    >    > Hi Ron,
    >    > 
    >    > I'm not aware of any IPR on this document.
    >    > 
    >    > Regards,
    >    > Jordi
    >    > 
    >    > 
    >    > 
    >    > El 8/4/19 17:54, "v6ops en nombre de Ron Bonica" <[email-masked] en
    >    > nombre de rbonica=[email-masked]> escribió:
    >    > 
    >    >    Folks,
    >    > 
    >    >    This email initiates a Working Group Last call on
    >    >    draft-ietf-v6ops-nat64-deployment-04. WGLC will end at COB, April 22, 2019.
    >    > 
    >    >    Authors,
    >    > 
    >    >    Please respond to this message indicating whether you are aware of any IPR
    >    >    regarding this draft.
    >    > 
    >    >                                                                          Ron
    >    > 
    >    > 
    >    >    Juniper Internal
    >    > 
    >    >    _______________________________________________
    >    >    v6ops mailing list
    >    >    [email-masked]
    >    >    https://www.ietf.org/mailman/listinfo/v6ops
    >    > 
    >    > 
    >    > 
    >    > 
    >    > **********************************************
    >    > IPv4 is over
    >    > Are you ready for the new Internet ?
    >    > http://www.theipv6company.com
    >    > The IPv6 Company
    >    > 
    >    > This electronic message contains information which may be privileged or
    >    > confidential. The information is intended to be for the exclusive use of the
    >    > individual(s) named above and further non-explicilty authorized disclosure,
    >    > copying, distribution or use of the contents of this information, even if
    >    > partially, including attached files, is strictly prohibited and will be
    >    > considered a criminal offense. If you are not the intended recipient be aware
    >    > that any disclosure, copying, distribution or use of the contents of this
    >    > information, even if partially, including attached files, is strictly
    >    > prohibited, will be considered a criminal offense, so you must reply to the
    >    > original sender to inform about this communication and delete it.
    >    > 
    >    > 
    >    > 
    >    > _______________________________________________
    >    > v6ops mailing list
    >    > [email-masked]
    >    > https://www.ietf.org/mailman/listinfo/v6ops
    >    
    >    _______________________________________________
    >    v6ops mailing list
    >    [email-masked]
    >    https://www.ietf.org/mailman/listinfo/v6ops
    >    
    >    _______________________________________________
    >    v6ops mailing list
    >    [email-masked]
    >    https://www.ietf.org/mailman/listinfo/v6ops
    >    
    > 
    > 
    > 
    > **********************************************
    > IPv4 is over
    > Are you ready for the new Internet ?
    > http://www.theipv6company.com
    > The IPv6 Company
    > 
    > This electronic message contains information which may be privileged or
    > confidential. The information is intended to be for the exclusive use of the
    > individual(s) named above and further non-explicilty authorized disclosure,
    > copying, distribution or use of the contents of this information, even if
    > partially, including attached files, is strictly prohibited and will be
    > considered a criminal offense. If you are not the intended recipient be aware
    > that any disclosure, copying, distribution or use of the contents of this
    > information, even if partially, including attached files, is strictly
    > prohibited, will be considered a criminal offense, so you must reply to the
    > original sender to inform about this communication and delete it.
    
    _______________________________________________
    v6ops mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/v6ops

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.theipv6company.com
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.

---

From: Alejandro D'Egidio <[email-masked]>
Date: Tue, 16 Apr 2019 15:22:50 -0300 (ART)

Hello Jordi,
I think it's much better.

Thanks for considering my comments.

Regards,
Alejandro

----- Mensaje original -----
De: "JORDI PALET MARTINEZ" <jordi.palet=[email-masked]>
Para: "Alejandro Degidio" <[email-masked]>
CC: "[email-masked] list" <[email-masked]>
Enviados: Martes, 16 de Abril 2019 10:10:12
Asunto: Re: [v6ops] WGLC: draft-ietf-v6ops-nat64-deployment-04

Hi Alejandro,

Thanks!

Regards,
Jordi

    Hello Jordi,

    Regards,
    Alejandro

    ----- Mensaje original -----
    > De: "JORDI PALET MARTINEZ" <jordi.palet=[email-masked]..org>

    >    > original sender to inform about this communication and delete it..
    >    > 
    >    > 
    >    >